# Marseille: Tirage du Héros (Hero's Journey)

`POST https://api.astroway.info/v1/tarot/marseille/draw/hero`

Authentic 6-card Hero's Journey spread from Jodorowsky/Costa "The Way of Tarot": Hero / Objective / two Obstacles / Key / Resolution.

Group: Tarot: Marseille. Auth: `X-Api-Key` header. Operation ID: `tarot_marseille_draw_hero`.

## Parameters

| Name | In | Required | Type | Description |
|---|---|---|---|---|
| `undefined` |  | no | object |  |
| `undefined` |  | no | object |  |

## Request body

| Field | Type | Required | Description |
|---|---|---|---|
| `seed` | integer | no |  |
| `question` | string | no |  |
| `allowReversed` | boolean | no |  |

```json
{
  "seed": 12345,
  "question": "What should I focus on?",
  "allowReversed": true
}
```

## Responses

| Status | Meaning |
|---|---|
| 200 | Successful calculation |
| 400 | Validation error |
| 401 | Missing or invalid API key |

### Success fields, under `data`

| Field | Type | Required | Description |
|---|---|---|---|
| `spread` | object | no |  |
| `spread.slug` | string | no |  |
| `spread.name` | string | no |  |
| `spread.cardCount` | number | no |  |
| `seed` | number | no |  |
| `drawn` | object[] | no |  |

## Example

```bash
curl -X POST https://api.astroway.info/v1/tarot/marseille/draw/hero \
  -H "X-Api-Key: aw_live_..." \
  -H "Content-Type: application/json" \
  -d '{ "seed": 12345, "question": "What should I focus on?", "allowReversed": true }'
```

---

Rendered from https://api.astroway.info/v1/openapi.json. HTML page: https://api.astroway.info/docs/api/operations/tarot_marseille_draw_hero/
